Bug 970578 - [abrt] rss-glx-0.9.1.p-13.fc18: TexMgr::genTex: Process /usr/bin/rss-glx-drempels was killed by signal 11 (SIGSEGV)
[abrt] rss-glx-0.9.1.p-13.fc18: TexMgr::genTex: Process /usr/bin/rss-glx-drem...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:d581a8c563205457f4b5e488371...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 07:59 EDT by ou.michel
Modified: 2016-04-18 07:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:39:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.07 KB, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: core_backtrace (516 bytes, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: dso_list (4.11 KB, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: environ (1.40 KB, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: maps (21.17 KB, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: open_fds (234 bytes, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details
File: var_log_messages (341 bytes, text/plain)
2013-06-04 07:59 EDT, ou.michel
no flags Details

  None (edit)
Description ou.michel 2013-06-04 07:59:13 EDT
Description of problem:
Error with rss glx.

Version-Release number of selected component:
rss-glx-0.9.1.p-13.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        rss-glx-drempels -window-id 33554484
crash_function: TexMgr::genTex
executable:     /usr/bin/rss-glx-drempels
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 TexMgr::genTex at TexMgr.cpp:224
 #1 TexMgr::imageThreadMain at TexMgr.cpp:340
Comment 1 ou.michel 2013-06-04 07:59:17 EDT
Created attachment 756726 [details]
File: backtrace
Comment 2 ou.michel 2013-06-04 07:59:20 EDT
Created attachment 756727 [details]
File: cgroup
Comment 3 ou.michel 2013-06-04 07:59:23 EDT
Created attachment 756728 [details]
File: core_backtrace
Comment 4 ou.michel 2013-06-04 07:59:26 EDT
Created attachment 756729 [details]
File: dso_list
Comment 5 ou.michel 2013-06-04 07:59:29 EDT
Created attachment 756730 [details]
File: environ
Comment 6 ou.michel 2013-06-04 07:59:31 EDT
Created attachment 756731 [details]
File: limits
Comment 7 ou.michel 2013-06-04 07:59:35 EDT
Created attachment 756732 [details]
File: maps
Comment 8 ou.michel 2013-06-04 07:59:37 EDT
Created attachment 756733 [details]
File: open_fds
Comment 9 ou.michel 2013-06-04 07:59:40 EDT
Created attachment 756734 [details]
File: proc_pid_status
Comment 10 ou.michel 2013-06-04 07:59:43 EDT
Created attachment 756735 [details]
File: var_log_messages
Comment 11 Nils Philippsen 2013-06-04 09:10:54 EDT
(In reply to ou.michel from comment #0)
> Description of problem:
> Error with rss glx.

Can you describe that in more detail, please? E.g.: Which desktop were you running? Did the crash happen with a preview of the screensaver or the normal screensaver kicking in after some inactivity? What size (resolution) and eventually multihead configuration is your desktop? Thanks!
Comment 12 Nils Philippsen 2013-06-04 09:26:52 EDT
Also, you seem to be using a plugin library for texture compression from a 3rd party repository:

7f33a164f000-7f33a1653000 r-xp 00000000 fd:01 2885661                    /usr/lib64/libtxc_dxtn.so
7f33a1653000-7f33a1852000 ---p 00004000 fd:01 2885661                    /usr/lib64/libtxc_dxtn.so
7f33a1852000-7f33a1853000 rw-p 00003000 fd:01 2885661                    /usr/lib64/libtxc_dxtn.so

Can you reproduce this bug without this library installed?
Comment 13 Fedora End Of Life 2013-12-21 08:51:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:39:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.